#include <bits/stdc++.h>
using namespace std;

pair<int,long long> BrojCifara(long long v)
{
    int b=0;
    long long pv=v;
    while(pv>0)
    {
       pv=pv/10;
       b++;
    }
    long long k=1;
    for(int i=0; i<b-1; i++)
        k=k*10;
    return{v/k,k};
}



int main()
{
    long long v;
    scanf("%lld",&v);
    int k1=BrojCifara(v).first;
    long long k2=BrojCifara(v).second;
    int br=0;
    while(v>0)
    {
        if(k1>=5) v=v-5*k2;
        else if(k1>=2 && k1<5) v=v-2*k2;
        else if(k1<2) v=v-k2;
        br++;
        k1=BrojCifara(v).first;
        k2=BrojCifara(v).second;
    }
    printf("%d",br);



    return 0;
}